## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global forgeurl https://github.com/kataev/pytest-grpc
# Upstream publishes to PyPI but does not tag releases. This commit includes
# the LICENSE file.
%global commit 3f21554fd821074c2836f65078eaace5c0569c2a

Name:           python-pytest-grpc
Version:        0.8.0
%forgemeta
Release:        %autorelease
Summary:        Allow testing gRPC with pytest

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch
 
BuildRequires:  python3-devel

# Not specified in setup.py metadata, but required for tests:
BuildRequires:  python3dist(grpcio)

%global common_description %{expand:
Write tests for gRPC with pytest.}

%description %{common_description}


%package -n     python3-pytest-grpc
Summary:        %{summary}

# Not specified in setup.py metadata, but required for any practical use:
Requires:       python3dist(grpcio)

%description -n python3-pytest-grpc %{common_description}


%prep
%forgeautosetup
# We do not want or need to install this zero-length hidden file, which is
# present upstream so that git will preserve the directory.
rm -vf example/src/stub/.keepdir


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_grpc


%check
# Upstream has no tests.
%pyproject_check_import


%files -n python3-pytest-grpc -f %{pyproject_files}
%doc README.md
%doc example


%changelog
* ven. oct. 29 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-5
- Use the new %%pyproject_check_import macro

* lun. sept. 13 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-4
- Let pyproject-rpm-macros handle the license file

* dim. sept. 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-3
- Drop BR on pyproject-rpm-macros, now implied by python3-devel

* dim. sept. 12 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-2
- Reduce spec file macro indirection

* mer. août 18 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.8.0-1
- Initial package
